{
  "name": "abc-check",
  "version": "0.0.1",
  "description": "",
  "author": "",
  "private": true,
  "license": "UNLICENSED",
  "scripts": {
    "build": "nest build && npm run clean && nest build  && npm run copy-files",
    "prebuild": "rimraf dist",
    "clean": "rimraf dist/",
    "format": "prettier --write \"src/**/*.ts\" \"test/**/*.ts\"",
    "start": " npm run copy-files && nest start",
    "copy-files": "cp -r src/static/.well-known dist/static",
    "start:dev": "npm run copy-files && nest start --watch",
    "dev": "nest start --watch ",
    "start:debug": "nest start --debug --watch",
    "start:prod": "node dist/main",
    "lint": "eslint \"{src,apps,libs,test}/**/*.ts\" --fix",
    "test": "jest",
    "test:watch": "jest --watch",
    "test:cov": "jest --coverage",
    "test:debug": "node --inspect-brk -r tsconfig-paths/register -r ts-node/register node_modules/.bin/jest --runInBand",
    "test:e2e": "jest --config ./test/jest-e2e.json"
  },
  "dependencies": {
    "@nestjs/axios": "^2.0.0",
    "@nestjs/common": "^9.0.0",
    "@nestjs/core": "^9.0.0",
    "@nestjs/platform-express": "^9.0.0",
    "@nestjs/serve-static": "^4.0.0",
    "@nestjs/swagger": "^6.3.0",
    "axios": "^1.4.0",
    "crypto": "^1.0.1",
    "did-resolver": "^4.1.0",
    "dotenv": "^16.3.1",
    "jose": "^4.9.3",
    "jsonld": "^8.2.0",
    "jsonpath": "^1.1.1",
    "jwt-decode": "^4.0.0",
    "reflect-metadata": "^0.1.13",
    "rxjs": "^7.2.0",
    "uuidv4": "^6.2.13",
    "web-did-resolver": "^2.0.20"
  },
  "devDependencies": {
    "@nestjs/cli": "^9.0.0",
    "@nestjs/schematics": "^9.0.0",
    "@nestjs/testing": "^9.0.0",
    "@types/express": "^4.17.13",
    "@types/jest": "29.5.1",
    "@types/node": "18.16.12",
    "@types/supertest": "^2.0.11",
    "@typescript-eslint/eslint-plugin": "^5.0.0",
    "@typescript-eslint/parser": "^5.0.0",
    "eslint": "^8.0.1",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-prettier": "^4.0.0",
    "jest": "29.5.0",
    "prettier": "^2.3.2",
    "source-map-support": "^0.5.20",
    "supertest": "^6.1.3",
    "ts-jest": "29.1.0",
    "ts-loader": "^9.2.3",
    "ts-node": "^10.0.0",
    "tsconfig-paths": "4.2.0",
    "typescript": "^5.0.0"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": "src",
    "testRegex": ".*\\.spec\\.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "collectCoverageFrom": [
      "**/*.(t|j)s"
    ],
    "coverageDirectory": "../coverage",
    "testEnvironment": "node"
  }
}
